Main Page Groups Namespaces

# exception_catch.h File Reference

## Namespaces
namespace | sigc
## Classes
struct | sigc::exception_catch_functor<T_functor, T_catcher, T_return>
struct | sigc::exception_catch_functor<T_functor, T_catcher, T_return>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>
struct | sigc::exception_catch_functor<T_functor, T_catcher, void>
## Functions
template<class T_action, class T_functor, class T_catcher, class T_return>
void | sigc::visit_each (const T_action& _A_action, const exception_catch_functor<T_functor, T_catcher, T_return>& _A_target)
template<class T_functor, class T_catcher>
exception_catch_functor < T_functor, T_catcher > | sigc::exception_catch (const T_functor& _A_func, const T_catcher& _A_catcher)